package gov.va.vinci.dart.usr;

import java.util.List;

import gov.va.vinci.security.userdetails.UserDetails;

/** User manager for custom authentication against Active Directory
 *
 */
public interface UserManager {
	CustomAuthentication login(final CustomAuthentication token) throws Exception;
	void login(final String username, final String password) throws Exception;
	UserDetails getUserDetails(final String username) throws Exception;
	List<String[]> searchUsers(final String username) throws Exception;
}
